Article ID: 121930, created on Jun 7, 2014, last review on Jun 17, 2016

  • Applies to:
  • Virtuozzo 6.0
  • Virtuozzo containers for Linux 4.7


When you run pbackup -a command following error is printed:

# pbackup -a
You are using a deprecated utility that will be dropped in the next major
release. Please use prlctl backup instead.

2014-05-24T12:56:07+0200 pbackup(415996): Starting pbackup. Nodes - pcstest.intra.
pbackup_internal: option requires an argument -- 'x'
    pbackup_internal [OPTION(s)]... [VMs OPTION]
Create backup of VMs
 -h, --help                                    This screen
 -q, --quiet                                   Be quiet
 -s, --storage <user[[:passwd]@server[:port]>  Use given storage

VMs option:
 -e VM1,[VM2[,VM3]]...                         List of VMs to backup
 -x VM1,[VM2[,VM3]]...                         Exclude list of VMs

If -e or -x options are omitted, all VMs are backed up.


Error takes place only when VE exclude list is empty in the /etc/vzbackup.conf file:

# grep BACKUP_EXCL_VES /etc/vzbackup.conf

The issue has been recognized as a product bug #PSBM-26954.


The fix is included in Parallels Cloud Server 6.0 Update 8 (6.0.8-2536).

Search Words

pbackup_internal: option requires an argument -- 'x'

option requires an argument

use pbackup with -a option

e8e50b42231236b82df27684e7ec0beb 2897d76d56d2010f4e3a28f864d69223 d02f9caf3e11b191a38179103495106f c62e8726973f80975db0531f1ed5c6a2 0dd5b9380c7d4884d77587f3eb0fa8ef 0c05f0c76fec3dd785e9feafce1099a9

Email subscription for changes to this article
Save as PDF